VisualEditor: Incorrectly displaying nested references
Closed, ResolvedPublic

Description

Copied from English Wikipedia:

A similar bug was reported as #49536 , but closed as fixed a while ago. Article Otto I has a reference ("ref") to "Thompson" (numbered #11 in old edit mode) inside an explanatory footnote "efn". The notes are generated below the article using "notelist". Ref 11 Thompson is not included in the reflist of VE, but shown in regular read mode. Just compare the reference lists in read and in VE edit mode to see the difference. GermanJoe (talk) 13:03, 4 July 2013 (UTC)


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=51289
https://bugzilla.wikimedia.org/show_bug.cgi?id=52398

bzimport set Reference to bz50749.
Mdennis-WMF created this task.Via LegacyJul 4 2013, 2:31 PM
Jdforrester-WMF added a comment.Via ConduitAug 1 2013, 6:55 PM

I believe that this now has been fixed - compare https://en.wikipedia.org/wiki/Otto_I%2C_Holy_Roman_Emperor with https://en.wikipedia.org/wiki/Otto_I%2C_Holy_Roman_Emperor?veaction=edit to see the reference lists being the same in both cases. Sorry for the slow response.

Whatamidoing-WMF added a comment.Via ConduitAug 19 2014, 12:06 AM

Look at [[Otto I]]. It has 63 references, including ref #18 ("Thompson") from explanatory footnote [d]. This ref doesn't appear in VisualEditor.

ssastry added a comment.Via ConduitAug 21 2014, 2:05 AM

Filed a bug against Parsoid: see bug 69827

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.